# $Revision: 1.19 $, $Date: 2011/10/01 13:06:55 $
%define		pkgname	propel
Summary:	Object persistence and query service for PHP5
Summary(pl.UTF-8):	Usługa przechowywania i odpytywania obiektów dla PHP5
Name:		php-%{pkgname}
Version:	1.4.2
Release:	6
License:	LGPL v3
Group:		Development/Languages/PHP
Source0:	http://files.propelorm.org/%{pkgname}-%{version}.tar.gz
# Source0-md5:	37d0c260bac544d59308e40d4b67026c
Patch0:		phing-classpath.patch
Patch1:		mysql-type-deprecation.patch
URL:		http://www.propelorm.org/
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 4:5.2.8-3
Requires:	php-pdo
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Propel is an object persistence (object relational mapping) tool for
PHP5 based on Apache Torque. Propel generates PHP classes and SQL
definition files for your data model and provides a runtime
environment that transparently handles database operations.

%description -l pl.UTF-8
Propel to narzędzie do przechowywania obiektów (odwzorowań
obiektowo-relacyjnych) dla PHP5 oparty na Apache Torque. Propel
generuje klasy PHP i pliki definicji SQL dla danego modelu danych oraz
zapewnia środowisko uruchomieniowe obsługujące w sposób przezroczysty
operacje na bazie danych.

%package -n propel-gen
Summary:	propel-gen - DDL files generator
Summary(pl.UTF-8):	propel-gen - generator plików DDL
Group:		Development/Languages/PHP
Requires:	phing
Requires:	php-xsl

%description -n propel-gen
A generator that creates SQL definition files (DDL).

%description -n propel-gen -l pl.UTF-8
Generator tworzący pliki definicji SQL (DDL).

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1
%patch1 -p1
cat <<'EOF'> generator/pear/pear-propel-gen.sh
#!/bin/sh
exec phing -f %{php_data_dir}/data/propel_generator/pear-build.xml -Dproject.dir=$*
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_data_dir}/propel,%{_bindir}}
cp -a runtime/classes/propel/* $RPM_BUILD_ROOT%{php_data_dir}/propel

cp -a generator/classes/propel/engine $RPM_BUILD_ROOT%{php_data_dir}/propel
cp -a generator/classes/propel/phing $RPM_BUILD_ROOT%{php_data_dir}/propel
install -p generator/pear/pear-propel-gen.sh $RPM_BUILD_ROOT%{_bindir}/propel-gen
install -d $RPM_BUILD_ROOT%{php_data_dir}/data/propel_generator
cp -a generator/{resources,build-propel.xml,*.properties} $RPM_BUILD_ROOT%{php_data_dir}/data/propel_generator
cp -a generator/pear/{pear-build.xml,*.properties} $RPM_BUILD_ROOT%{php_data_dir}/data/propel_generator

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{php_data_dir}/propel
%{php_data_dir}/propel/Propel.php
%{php_data_dir}/propel/PropelException.php
%{php_data_dir}/propel/adapter
%{php_data_dir}/propel/logger
%{php_data_dir}/propel/map
%{php_data_dir}/propel/om
%{php_data_dir}/propel/util
%{php_data_dir}/propel/validator

%files -n propel-gen
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/propel-gen
%{php_data_dir}/propel/engine
%{php_data_dir}/propel/phing

# XXX temp fix:
%dir %{php_data_dir}/data
%dir %{php_data_dir}/data/propel_generator
%{php_data_dir}/data/propel_generator/resources
%{php_data_dir}/data/propel_generator/build-propel.xml
%{php_data_dir}/data/propel_generator/build.properties
%{php_data_dir}/data/propel_generator/default.properties
%{php_data_dir}/data/propel_generator/pear-build.xml

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-propel.spec,v $
Revision 1.19  2011/10/01 13:06:55  glen
- propel 1.4 uses pdo not creole

Revision 1.18  2011/10/01 11:50:34  glen
- 1.4 license is LGPL v3

Revision 1.17  2011/05/05 16:27:43  glen
- Type=ENGINENAME is removed in mysql 5.5, deprecated a bit earlier

Revision 1.16  2011/01/23 11:42:49  glen
- dir fix

Revision 1.15  2011/01/04 13:42:42  glen
- fix locating of phing classes inside generator; rel 3

Revision 1.14  2011/01/04 07:44:34  glen
- fix path to pear-build.xml; rel 2

Revision 1.13  2010/10/29 09:01:11  glen
- up to 1.4.2

Revision 1.12  2010/10/29 08:58:13  glen
- new domain, switch to one tarball build

Revision 1.11  2010/03/10 15:01:13  glen
- update to 1.4.1

Revision 1.10  2009/02/10 10:42:33  glen
- release 1

Revision 1.9  2008/12/11 22:38:18  qboosh
- pl for propel-gen

Revision 1.8  2008/12/09 23:06:03  glen
- update to final 1.3.0, add propel-gen package

Revision 1.7  2008/04/05 08:55:57  arvenil
- up to 1.3.0beta4 (thanks to Wojciech Błaszkowski <wojciech@blaszkowski.com>)

Revision 1.6  2007-12-14 09:06:09  arekm
- 1.3.0 beta3

Revision 1.5  2007/10/03 10:02:47  blues
- typo!

Revision 1.4  2007/10/03 09:59:14  blues
- 1.3.0beta2

Revision 1.3  2007/09/12 08:50:28  blues
- rel.1 - don't think that creole is needed at build time.

Revision 1.2  2007/06/03 07:57:43  qboosh
- pl

Revision 1.1  2007/05/30 15:17:50  glen
- new
